module LoadSaveView where

import Graphics.UI.Gtk

data ViewState = ViewState 
    {
      mainWidget :: Widget
    , statusL :: Label
    , saveB :: Button
    , openB :: Button
    }

new :: IO ViewState
new = do
  l <- labelNew Nothing
  labelSetSelectable l True
  s <- buttonNewFromStock stockSave
  o <- buttonNewFromStock stockOpen

  box <- hBoxNew False 2
  boxPackStart box o PackNatural 2
  boxPackStart box s PackNatural 2
  boxPackEnd box l PackNatural 2

  return $ ViewState (toWidget box) l s o